package org.jdtaus.core.container.mojo;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class AbstractSourceMojoBundle{ 

public static String getSourceNotFoundText(final Locale locale) {
    return getMessage("sourceNotFound", locale);
}

public static MessageFormat getSourceNotFoundMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("sourceNotFound", locale), locale);
}

public static String getCannotReadOrWriteFileText(final Locale locale) {
    return getMessage("cannotReadOrWriteFile", locale);
}

public static MessageFormat getCannotReadOrWriteFileMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("cannotReadOrWriteFile", locale), locale);
}

public static String getFileInfoText(final Locale locale) {
    return getMessage("fileInfo", locale);
}

public static MessageFormat getFileInfoMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("fileInfo", locale), locale);
}

public static String getSkippingProjectText(final Locale locale) {
    return getMessage("skippingProject", locale);
}

public static MessageFormat getSkippingProjectMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("skippingProject", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.container.mojo.AbstractSourceMojo", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
